Subject: [bess] SHL label

From: gangadhara reddy chavva <[email-masked]>
Date: Mon, 3 Jun 2019 16:35:26 +0530

Hi Jorge,

I have a Question on EVPN MH SHL(split horizon label).

Can ESI share the different SHL label for the same ESI?

*case 1:* in the same ESI one customer EVPN VPN can have ingress
replication for the BUM traffic and second EVPN VPN ine the same ESI can do
P2MP? in this case SHL label should be different.

*case 2: *can VPLS allocate one SHL and VPWS can allocate diffrent SHL
label? or SHL should be same per ESI irrespective of number of applications
enabled in that ESI.

Thanks,
Gangadhar

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 4 Jun 2019 12:38:33 +0000

Hi,

The ESI label is signaled in the A-D per ES route(s), and those routes are (should be) service agnostic.
Also as you can see in RFC7432, the ESI label is downstream allocated for ingress replication but upstream allocated for p2mp - So it’s not that you allocate different ESI label per service, but the label that you use has different owner.

I think RFC7432 is pretty clear about this. Not sure where the confusion is.

Thanks.
Jorge

From: gangadhara reddy chavva <[email-masked]>
Date: Monday, June 3, 2019 at 2:05 PM
To: "[email-masked]" <[email-masked]>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Subject: SHL label

Hi Jorge,

case 1: in the same ESI one customer EVPN VPN can have ingress replication for the BUM traffic and second EVPN VPN ine the same ESI can do P2MP? in this case SHL label should be different.

case 2: can VPLS allocate one SHL and VPWS can allocate diffrent SHL label? or SHL should be same per ESI irrespective of number of applications enabled in that ESI.

Thanks,
Gangadhar

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 4 Jun 2019 15:02:48 +0000

Hi all,
I concur with Jorge.

The ESI label is allocated per MH ES and does not depend on the service or on the method by which BUM frames are deliverd. This method only affects the way in which it is used:
- in the case of ingress replication a copy that is sent to the specific LE attached to a given MH ES uses the label this PE has advertised for this ES. I.e. it is used as downstream-allocated
- In the case of P2MP LSPs (where all PEs receive the same copy) the transmitter uses the ESI label it has allocated for the ES (it is upstream-allocated), and each receiver uses the label(s) that identify the transmitter PE  as the context labels for its correct processing.

RFC 7474 is quite clear in this regard from my POV.

Thumb typed by Sasha Vainshtein

From: Rabadan, Jorge (Nokia - US/Mountain View)
Sent: Tuesday, June 4, 15:38
Subject: Re: [bess] SHL label
To: gangadhara reddy chavva, [email-masked]

Hi,

Thanks.
Jorge

Hi Jorge,

Thanks,
Gangadhar

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: Anush Mohan <[email-masked]>
Date: Wed, 5 Jun 2019 09:07:43 +0530

hi,

   I had a follow up question regarding this.

  If we are using P2MP tunnel for replicating BUM traffic, the ESI-label is
assigned by upstream PE, but actually programmed by downstream PEs in the
context of upstream-PE. In this case, does the upstream-PE still need to
assign this label from its platform label-space ? ( In other words this
label can't be used by upstream-PE to receive any incoming label traffic)

  The scenario I want to clarify is: we already  have an EVI using P2MP
tunnel for replicating BUM traffic, configured on this ES.
  And later we configure another EVI on this ES, where we want to use
ingress replication for sending BUM traffic.

Regards
Anush

On Tue, Jun 4, 2019 at 8:33 PM Alexander Vainshtein <
[email-masked]> wrote:

> Hi all,
> I concur with Jorge.
>
> The ESI label is allocated per MH ES and does not depend on the service or
> on the method by which BUM frames are deliverd. This method only affects
> the way in which it is used:
> - in the case of ingress replication a copy that is sent to the specific
> LE attached to a given MH ES uses the label this PE has advertised for this
> ES. I.e. it is used as downstream-allocated
> - In the case of P2MP LSPs (where all PEs receive the same copy) the
> transmitter uses the ESI label it has allocated for the ES (it is
> upstream-allocated), and each receiver uses the label(s) that identify the
> transmitter PE  as the context labels for its correct processing.
>
> Also as you can see in RFC7432, the ESI label is downstream allocated for
> ingress replication but upstream allocated for p2mp - So it’s not that you
> allocate different ESI label per service, but the label that you use has
> different owner.
>
> *From: *gangadhara reddy chavva <[email-masked]>
> *Date: *Monday, June 3, 2019 at 2:05 PM
> *To: *"[email-masked]" <[email-masked]>, "Rabadan, Jorge (Nokia -
> US/Mountain View)" <[email-masked]>
> *Subject: *SHL label
>
> Hi Jorge,
>
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 5 Jun 2019 04:14:50 +0000

Anush,
I think you have already answered your question when you have described your use case😉.

ESI Label is assigned by a PE when its Ethernet port is configured to be part of an MH ES regardless of (and prior to) any specific EVI that is connected to it.

Therefore it MUST be allocated from the per platform label space.

My 2c.

From: Anush Mohan
Sent: Wednesday, June 5, 06:38
Subject: Re: [bess] SHL label
To: Alexander Vainshtein
Cc: gangadhara reddy chavva, [email-masked], Rabadan, Jorge (Nokia - US/Mountain View)

hi,

  If we are using P2MP tunnel for replicating BUM traffic, the ESI-label is assigned by upstream PE, but actually programmed by downstream PEs in the context of upstream-PE. In this case, does the upstream-PE still need to assign this label from its platform label-space ? ( In other words this label can't be used by upstream-PE to receive any incoming label traffic)

  The scenario I want to clarify is: we already  have an EVI using P2MP tunnel for replicating BUM traffic, configured on this ES.
  And later we configure another EVI on this ES, where we want to use ingress replication for sending BUM traffic.

Regards
Anush

On Tue, Jun 4, 2019 at 8:33 PM Alexander Vainshtein <[email-masked]<mailto:[email-masked]>> wrote:
Hi all,
I concur with Jorge.

From: Rabadan, Jorge (Nokia - US/Mountain View)
Sent: Tuesday, June 4, 15:38
Subject: Re: [bess] SHL label
To: gangadhara reddy chavva, [email-masked]<mailto:[email-masked]>

Hi,

Thanks.
Jorge

From: gangadhara reddy chavva <[email-masked]<mailto:[email-masked]>>
Date: Monday, June 3, 2019 at 2:05 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>
Subject: SHL label

Hi Jorge,

Thanks,
Gangadhar

[email-masked]<mailto:[email-masked]>

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 5 Jun 2019 05:48:21 +0000

Anush,
A minor correction to my previous email.

The ESI label MAY be allocated from a dedicated label space IF (and only if) the allocating PE is known not to use ingress replication (e.g., if it does not support it).

If usage of ingress replication by the advertizing PE is nor precluded, the ESI label MUST be assigned from the per-platfirm label space.

This is my reading of Section 8.3.1 of RFC 7432.

Hope this helps.

From: Alexander Vainshtein
Sent: Wednesday, June 5, 07:14
Subject: Re: [bess] SHL label
To: Anush Mohan
Cc: gangadhara reddy chavva, [email-masked], Rabadan, Jorge (Nokia - US/Mountain View)

Anush,

My 2c.

From: Anush Mohan

hi,

Regards
Anush

Hi,

Thanks.
Jorge

Hi Jorge,

Thanks,
Gangadhar